# PySDK Integration

[DeGirum PySDK ](https://docs.degirum.com/pysdk)integrates with the AI Hub so you can write compact, easy-to-understand code. The `inference_host_address` parameter tells PySDK where to run your model. You can set it to `"@cloud"` to use DeGirum’s cloud-hosted hardware—no local setup required.

## Example PySDK Code

The snippet below connects to the remote device farm and runs inference on an image hosted on DeGirum's [PySDK Examples GitHub repository](https://github.com/DeGirum/PySDKExamples).

{% code overflow="wrap" %}

```python
import degirum as dg

# Connect to the AI Hub
inference_manager = dg.connect(
    inference_host_address = "@cloud",
    zoo_url = "degirum/degirum",
    token = "<your_token>"
)

# Load a model. In this case, an image detection model from degirum/degirum.
model = inference_manager.load_model("yolov8n_relu6_coco--640x640_quant_n2x_orca1_1")

# Run inference on an image
result = model("https://raw.githubusercontent.com/DeGirum/PySDKExamples/main/images/bikes.jpg")

# Print raw results
print(result)
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.degirum.com/ai-hub/pysdk-integration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
